# $Id: xmms-lirc.spec,v 1.1 2002/10/09 13:33:42 dude Exp $

Summary: A plugin to use LIRC supported infrared devices in XMMS.
Name: xmms-lirc
Version: 1.2
Release: fr3
License: GPL
Group: Applications/Multimedia
URL: http://www.lirc.org/
Source: http://download.sourceforge.net/LIRC/lirc-xmms-plugin-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmms >= 1.0.0, glib >= 1.2.7, gtk+ >= 1.2.7, lirc
BuildPrereq: xmms-devel, lirc

%define	xmmsgeneraldir	%(xmms-config --general-plugin-dir)

%description
LIRC (Linux Infrared Remote Control) plugin for XMMS (X Multimedia System).

%prep
%setup -q -n lirc-xmms-plugin-%{version}

%build
./configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{xmmsgeneraldir}/liblirc.*

%changelog
* Wed Oct  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Fri May  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed the xmms General dir to be expanded from xmms-config (cleaner).
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Oct  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

